---
title: "Parent Categories of the Brand"
description: "Returns parent categories of the brand. Data can be obtained starting from 1 November 2022, for up to 365 days."
lang: en-US
source: https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/reports/get-api-v1-analytics-brand-share-parent-subjects
---

# Parent Categories of the Brand

```http
GET /api/v1/analytics/brand-share/parent-subjects
```

**Base URL:** `https://seller-analytics-api.wildberries.ru` · **Module:** [`reports`](https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/reports/) · **Section:** Share of Brand in Sales · [Specification doc ↗](https://dev.wildberries.ru/en/docs/openapi/reports#tag/shareOfBrandInSales/operation/getV1AnalyticsBrandShareParentSubjects)

Returns parent categories of the brand.
Data can be obtained starting from 1 November 2022, for up to 365 days.

[Request limit](https://dev.wildberries.ru/openapi/api-information#tag/introduction/Rate-Limits) per one seller account:

| Type             | Period | Limit     | Interval | Burst       |
| ---------------- | ------ | --------- | -------- | ----------- |
| Personal         | 5 s    | 1 request | 5 s      | 20 requests |
| Service          | 5 s    | 1 request | 5 s      | 20 requests |
| Base with secret | 5 s    | 1 request | 5 s      | 20 requests |
| Base             | 1 h    | 1 request | 1 h      | 1 request   |

## Parameters

| Name     | In    | Type     | Req. | Description                                                                                     |
| -------- | ----- | -------- | ---- | ----------------------------------------------------------------------------------------------- |
| `locale` | query | `string` | no   | Language of the response field `parentName`: - `ru` — Russian - `en` — English - `zh` — Chinese |
| `brand`  | query | `string` | yes  | Brand                                                                                           |

## Responses

| Code  | Description       | Schema            |
| ----- | ----------------- | ----------------- |
| `200` | Success           | `object`          |
| `400` | Bad request       | `Http4XXResponse` |
| `401` | Unauthorized      | `object`          |
| `402` | Payment required  | `object`          |
| `403` | Access denied     | `object`          |
| `429` | Too many requests | `object`          |

**Structure `200`:**

- `data` `object[]` — Brand categories
  - `parentId` `integer<int64>` — Parent category ID
  - `parentName` `string` — Parent category name

**Structure `400`:**

- `detail` `string` — Error details
- `origin` `string` — WB internal service ID
- `requestId` `string` — Unique request ID
- `title` `string` — Error title

**Structure `401`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

**Structure `402`:**

- `title` `string` — Error title
- `detail` `string` — Error details. The error is only returned to services from the [Solutions for business Catalog](https://dev.wildberries.ru/business-solutions)

**Structure `403`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

**Structure `429`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

## Call examples

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

**Python**

```python
from wb_api_client.reports import Configuration, ApiClient
from wb_api_client.reports.api import ReportsApi

cfg = Configuration(access_token="<your WB JWT>")
api = ReportsApi(ApiClient(cfg))

result = api.get_v1_analytics_brand_share_parent_subjects(brand=..., date_from=..., date_to=..., locale=...)
print(result)
```

**TypeScript**

```ts
import {
  Configuration,
  ReportsApi,
} from "@valeryverkhoturov/wb-api-client/reports";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ReportsApi(cfg);

const { data } = await api.getV1AnalyticsBrandShareParentSubjects(brand, dateFrom, dateTo, locale);
console.log(data);
```

**Go**

```go
import (
	"context"
	"fmt"

	wbreports "github.com/ValeryVerkhoturov/wb-api-client-go/reports"
)

cfg := wbreports.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbreports.NewAPIClient(cfg)

result, _, err := client.ReportsAPI.GetV1AnalyticsBrandShareParentSubjects(context.Background()).Brand(brand).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
```

**Java**

```java
import io.github.valeryverkhoturov.wbapi.reports.ApiClient;
import io.github.valeryverkhoturov.wbapi.reports.SecretString;
import io.github.valeryverkhoturov.wbapi.reports.api.ReportsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ReportsApi api = new ReportsApi(client);

System.out.println(api.getV1AnalyticsBrandShareParentSubjects(brand, dateFrom, dateTo, locale));
```

**PHP**

```php
use ValeryVerkhoturov\WbApiClient\Reports\Configuration;
use ValeryVerkhoturov\WbApiClient\Reports\SecretString;
use ValeryVerkhoturov\WbApiClient\Reports\Api\ReportsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ReportsApi(new Client(), $config);

print_r($api->getV1AnalyticsBrandShareParentSubjects($brand, $date_from, $date_to));
```

**OneScript**

```bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ReportsApi(Настройки);

Сообщить(Клиент.GetV1AnalyticsBrandShareParentSubjects(brand, dateFrom, dateTo).Тело);
```

**C#**

```csharp
using ValeryVerkhoturov.WbApiClient.Reports.Api;
using ValeryVerkhoturov.WbApiClient.Reports.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ReportsApi(config);

Console.WriteLine(api.GetV1AnalyticsBrandShareParentSubjects(brand, dateFrom, dateTo));
```

**Rust**

```rust
use wb_api_client::reports::apis::{configuration::Configuration, reports_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = reports_api::get_v1_analytics_brand_share_parent_subjects(&cfg, brand, date_from, date_to, locale).await;
    println!("{:#?}", result);
}
```
